## mysql-workbench 6.3.6%2Bdfsg

=== tools/CMakeLists.txt ===
add_subdirectory(genobj)
add_subdirectory(genwrap)

=== library/mysql.parser/CMakeLists.txt ===
add_definitions(-Wno-sign-compare -Wno-type-limits -Wno-unused
-Wno-missing-field-initializers)

include_directories(.
    ${GTK2_INCLUDE_DIRS}
    ${ANTLR3C_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/library/base
)

add_subdirectory(grammar)

add_library(mysqlparser
    MySQLLexer.c
    MySQLSimpleParser.c
    MySQLParser.c
    mysql-parser-common.cpp
    mysql-parser.cpp
    mysql-scanner.cpp
    mysql-syntax-check.cpp
)

add_dependencies(mysqlparser
    antlr-wb
    generate_parser
)

if (SKIP_BUNDLED_ANTLR)
else ()
    link_directories(${PROJECT_BINARY_DIR}/antlr-wb)
endif ()

target_link_libraries(mysqlparser ${GTK2_LIBRARIES} ${ANTLR3C_LIBRARIES})

set_target_properties(mysqlparser
                      PROPERTIES VERSION   ${WB_VERSION}
                                 SOVERSION ${WB_VERSION})

install(TARGETS mysqlparser DESTINATION ${WB_INSTALL_LIB_DIR})

install(DIRECTORY ${PROJECT_BINARY_DIR}/antlr-wb/ DESTINATION ${WB_INSTALL_LIB_DIR} FILES_MATCHING
    PATTERN "*.so"
    PATTERN "*.so.*"
)

set(DATA_FILES 
    MySQL.tokens
)

install(FILES ${DATA_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/data)

=== modules/db.mysql.sqlparser/CMakeLists.txt ===
include_directories(.
    ./src
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/grt/src/diff 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/library/sql.parser/include
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/linux
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/modules/interfaces
    ${PROJECT_SOURCE_DIR}/ext/antlr-runtime
    ${PROJECT_SOURCE_DIR}/ext/antlr-runtime/include
    ${PROJECT_SOURCE_DIR}/library/mysql.parser   
    ${VSQLITE_INCLUDE_DIRS}
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${PCRE_INCLUDE_DIR}
    ${PROJECT_SOURCE_DIR}
    ${MySQL_INCLUDE_DIRS}
)

if (MYSQL_DEFINITIONS)
	add_definitions(${MYSQL_DEFINITIONS})
endif()

if (UNIX)
    add_definitions(-DHAVE_MEMCPY=1 -DHAVE_MEMMOVE=1 -DUSE_MB=1 -DUSE_MB_IDENT=1 -DHAVE_STRTOUL=1)
endif()
    

add_library(db.mysql.sqlparser.grt
    src/db.mysql.sqlparser.cpp
    src/mysql_invalid_sql_parser.cpp
    src/mysql_sql_facade.cpp
    src/mysql_sql_parser_base.cpp
    src/mysql_sql_specifics.cpp
    src/mysql_sql_normalizer.cpp
    src/mysql_sql_parser.cpp
    src/mysql_sql_parser_fe.cpp
    src/mysql_sql_parser_utils.cpp
    src/mysql_sql_schema_rename.cpp
    src/mysql_sql_script_splitter.cpp
    src/mysql_sql_inserts_loader.cpp
    src/mysql_sql_syntax_check.cpp
    src/mysql_sql_semantic_check.cpp
    src/mysql_sql_statement_decomposer.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/charset-def.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/charset.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-big5.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-bin.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-cp932.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-czech.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-eucjpms.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-euc_kr.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-extra.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-gb2312.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-gbk.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-latin1.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-mb.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-simple.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-sjis.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-tis620.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-uca.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-ucs2.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-ujis.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-utf8.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype-win1250ch.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/ctype.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/int2str.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/myx_lex_helpers.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/myx_sql_tree_item.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/myx_statement_parser.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/myx_unicode_scanner.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/sql_parser_symbols.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/my_messnc.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/my_static.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/my_strtoll10.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/my_vsnprintf.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/strmake.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/strnmov.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/strtod.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/strxmov.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/str_alloc.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/linux/myx_sql_parser.cpp
    ${PROJECT_SOURCE_DIR}/library/sql.parser/source/xml.cpp
)

#We need to wait for mysqlparser, because we're including some antlr headers which parser depends on
add_dependencies(db.mysql.sqlparser.grt mysqlparser)


target_link_libraries(db.mysql.sqlparser.grt ${GRT_LIBRARIES} ${GTK2_LIBRARIES} ${SIGC++_LIBRARIES} ${PCRE_LIBRARIES})

set_target_properties(db.mysql.sqlparser.grt
                      PROPERTIES PREFIX    ""
                                 VERSION   ${WB_VERSION}
                                 SOVERSION ${WB_VERSION})

install(TARGETS db.mysql.sqlparser.grt DESTINATION ${WB_PYTHON_MODULES_DIR})

=== modules/wb.mysql.import/CMakeLists.txt ===
include_directories(.
    ${GTK2_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
    ${MySQL_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${VSQLITE_INCLUDE_DIRS}
    ${TINYXML_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/modules/interfaces
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/ext
    ${PROJECT_SOURCE_DIR}/library/grt/src/diff
    ${PROJECT_SOURCE_DIR}/library/sql-parser/include
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source/linux
)

add_library(wb.mysql.import.grt
    src/wb_mysql_import.cpp
    src/wb_mysql_import_dbd4.cpp
)

target_link_libraries(wb.mysql.import.grt wbscintilla ${GRT_LIBRARIES} ${GTK2_LIBRARIES} ${SIGC++_LIBRARIES} ${TINYXML_LIBRARIES} ${MySQL_LIBRARIES})

set_target_properties(wb.mysql.import.grt
                      PROPERTIES PREFIX    ""
                                 VERSION   ${WB_VERSION}
                                 SOVERSION ${WB_VERSION})

install(TARGETS wb.mysql.import.grt DESTINATION ${WB_PYTHON_MODULES_DIR})

=== plugins/wb.sqlide/CMakeLists.txt ===
set(PY_FILES
    sql_reformatter.py
    sqlide_catalogman_ext.py
    sqlide_tableman_ext.py
    sqlide_grt.py
    sqlide_resultset_ext.py
    sqlide_schematree_ext.py
    sqlide_import_spatial.py
    sqlide_power_import_export_be.py
    sqlide_power_export_wizard.py
    sqlide_power_import_wizard.py
    text_output.py
    run_script.py
)

install(FILES ${PY_FILES} DESTINATION ${WB_PYTHON_MODULES_DIR})

=== library/base/unit-tests/Makefile ===
TEST_TIMEOUT=60
top_srcdir=../../../

#COV_CFLAGS=-fprofile-arcs -ftest-coverage

CXXFLAGS=-Wall -Wno-deprecated -Wno-unknown-pragmas -ggdb3 -fpermissive $(COV_CFLAGS)
INCLUDES=-Iinclude `mysql_config --cflags` \
	-I$(top_srcdir)/\
	-I$(top_srcdir)/testing/tut/include\
	-I$(top_srcdir)/modules/interfaces\
	-I$(top_srcdir)/modules\
	-I$(top_srcdir)/modules/wb.model/src\
	-I$(top_srcdir)/generated/\
	-I$(top_srcdir)/library/base/\
	-DENABLE_LUA_MODULES -DEXCLUDE_MYSQL_SUPPORT \
	 `pkg-config glib-2.0 libxml-2.0 sigc++-2.0 cairo --cflags` `pcre-config --cflags` \
	-DIMAGE_TESTS ${FLAGS}
#	 `pkg-config glib-2.0 libxml-2.0 sigc++-2.0 cairo glitz-glx --cflags` `pcre-config --cflags` 


%.o: %.cpp
	g++ $< -c $(INCLUDES) $(CXXFLAGS) -DTEST_STANDALONE

%.o: $(top_srcdir)/testing/tut/source/%.cpp
	g++ $< -c $(INCLUDES) $(CXXFLAGS) -DTEST_STANDALONE

TUT_FILES=test_helpers.o  main.o 

base_test: base_test.o $(TUT_FILES)
	g++ $< $(TUT_FILES) ../.libs/libwbbase.so -o$@ `pkg-config sigc++-2.0 --libs`


clean:
	rm *.o

=== plugins/db.mysql.editors/linux/CMakeLists.txt ===
set(MODULE_DATA_FILES
    res/editor_mysql_table.glade
    res/editor_mysql_table_live.glade
    res/editor_view.glade
    res/editor_user.glade
    res/editor_role.glade
    res/editor_relationship.glade
    res/editor_routine.glade
    res/editor_rg.glade
    res/editor_schema.glade
    res/live_editor_decoration.glade
)

install(FILES ${MODULE_DATA_FILES} DESTINATION ${WB_PACKAGE_SHARED_DIR}/modules/data)

include_directories(.
    ${PROJECT_SOURCE_DIR}/generated
    ${PROJECT_SOURCE_DIR}/backend/wbpublic
    ${PROJECT_SOURCE_DIR}/backend/wbprivate
    ${PROJECT_SOURCE_DIR}/library/grt/src 
    ${PROJECT_SOURCE_DIR}/library/base
    ${PROJECT_SOURCE_DIR}/library/forms
    ${PROJECT_SOURCE_DIR}/modules/interfaces
    ${PROJECT_SOURCE_DIR}/library/grt/src/diff
    ${PROJECT_SOURCE_DIR}/library/sql-parser/include
    ${PROJECT_SOURCE_DIR}/library/sql-parser/source
    ${PROJECT_SOURCE_DIR}/library/mysql.parser
    ${PROJECT_SOURCE_DIR}/plugins
    ${PROJECT_SOURCE_DIR}/modules
    ${PROJECT_SOURCE_DIR}/frontend/linux
    ${PROJECT_SOURCE_DIR}/frontend/linux/workbench
    ${PROJECT_SOURCE_DIR}/frontend/linux/linux_utilities
    ${PROJECT_SOURCE_DIR}/frontend/linux/sqlide
    ${PROJECT_SOURCE_DIR}/ext/scintilla/include
    ${PROJECT_SOURCE_DIR}/ext/antlr-runtime/include
    ${PROJECT_SOURCE_DIR}/ext/antlr-runtime
    ${VSQLITE_INCLUDE_DIRS}
    ${PROJECT_SOURCE_DIR}
    ${GTK2_INCLUDE_DIRS}
    ${CAIRO_INCLUDE_DIRS}
    ${SIGC++_INCLUDE_DIRS}
    ${GRT_INCLUDE_DIRS}
)

add_library(db.mysql.editors.wbp MODULE
    ../backend/mysql_relationship_editor.cpp
    ../backend/mysql_routine_editor.cpp
    ../backend/mysql_routinegroup_editor.cpp
    ../backend/mysql_schema_editor.cpp
    ../backend/mysql_table_editor.cpp
    ../backend/mysql_view_editor.cpp
    ../backend/register_plugin.cpp
    mysql_table_editor_fe.cpp
    mysql_table_editor_column_page.cpp
    mysql_view_editor_fe.cpp
    mysql_user_editor_fe.cpp
    mysql_role_editor_fe.cpp
    mysql_relationship_editor_fe.cpp
    mysql_routine_editor_fe.cpp
    mysql_routinegroup_editor_fe.cpp
    mysql_table_editor_index_page.cpp
    mysql_table_editor_fk_page.cpp
    mysql_table_editor_trigger_page.cpp
    mysql_table_editor_part_page.cpp
    mysql_table_editor_opt_page.cpp
    mysql_editor_priv_page.cpp
    schema_editor_fe.cpp
)

add_dependencies(db.mysql.editors.wbp mysqlparser)

target_link_libraries(db.mysql.editors.wbp linux_utilities wbscintilla wbpublic ${GRT_LIBRARIES} ${GTK2_LIBRARIES} ${SIGC++_LIBRARIES})

set_target_properties(db.mysql.editors.wbp
                      PROPERTIES PREFIX    ""
                                 VERSION   ${WB_VERSION}
                                 SOVERSION ${WB_VERSION})

install(TARGETS db.mysql.editors.wbp DESTINATION ${WB_PACKAGE_PLUGINS_DIR})

=== debian/control ===
Source: mysql-workbench
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Mateusz Kijowski <mateusz.kijowski@gmail.com>
Build-Depends: debhelper (>= 9), dh-autoreconf, cmake, perl, imagemagick
 ,autoconf ,automake ,libtool
 ,bison ,flex ,swig
 ,doxygen
 ,gettext
# ,libantlr3c-dev
 ,libboost-dev
 ,libcairo2-dev
 ,libctemplate-dev
 ,libfreetype6-dev
 ,libgdal-dev
 ,libgl1-mesa-dev
 ,libglib2.0-dev
 ,libgnome-keyring-dev
 ,libgtkmm-2.4-dev
 ,liblua5.1-0-dev
 ,libmysqlcppconn-dev (>= 1.1.7)
 ,libpng-dev
 ,libmysqlclient-dev
 ,libpcre3-dev
 ,libpixman-1-dev
 ,libsqlite3-dev
 ,libtinyxml-dev (>= 2.6.2)
 ,libvsqlitepp-dev
 ,libxml2-dev
 ,libzip-dev
 ,python-dev
 ,unixodbc-dev
 ,uuid-dev
 ,xdg-utils
Standards-Version: 3.9.6
Homepage: http://dev.mysql.com/workbench/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mysql-workbench.git
Vcs-Git: git://anonscm.debian.org/collab-maint/mysql-workbench.git

Package: mysql-workbench
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 ,mysql-workbench-data (= ${source:Version})
 ,python-mysql.connector
 ,python-paramiko
 ,python-pexpect
 ,python-pyodbc (>= 2.1.8)
 ,python-pysqlite2
Recommends: ttf-bitstream-vera, mysql-utilities
           ,mysql-client | virtual-mysql-client
Suggests: gnome-keyring
Description: MySQL Workbench - a visual database modeling, administration and queuing tool
 MySQL Workbench is a modeling tool that allow to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.

Package: mysql-workbench-data
Architecture: all
Depends: ${misc:Depends}
Description: MySQL Workbench -- architecture independent data
 MySQL Workbench is a modeling tool that allow to design
 and generate MySQL databases graphically. It also has administration
 and query development modules where you can manage MySQL server instances
 and execute SQL queries.
 .
 This package provides architecture independent files

#Package: mysql-workbench-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Depends: mysql-workbench (= ${binary:Version}), ${misc:Depends}
#Description: MySQL Workbench -- debugging symbols
# MySQL Workbench is a modeling tool that allow to design
# and generate MySQL databases graphically. It also has administration
# and query development modules where you can manage MySQL server instances
# and execute SQL queries.
# .
# This package provides debugging symbols

#Package: mysql-workbench-docs
#Architecture: all
#Depends: ${misc:Depends}, libjs-jquery
#Recommends: yelp
#Suggests: www-browser
#Section: doc
#Description: MySQL Workbench -- Documentation for developers
# MySQL Workbench is a modeling tool that allow to design
# and generate MySQL databases graphically. It also has administration
# and query development modules where you can manage MySQL server instances
# and execute SQL queries.
# .
# This package provides documentation for developers
